Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: mysql

Tunables Interfaces

### Description:

Open source database.

### Tunables:

mysql_connect_any

##### Default value

false

##### Description

Determine whether mysqld can connect to all TCP ports.

Return

### Interfaces:

mysql_admin( domain , role )

##### Summary

All of the rules required to administrate an mysqld environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

mysql_append_db_files( domain )

##### Summary

Append mysqld database files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_domtrans( domain )

##### Summary

Execute MySQL in the mysql domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mysql_domtrans_mysql_safe( domain )

##### Summary

Execute mysqld safe in the mysqld safe domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mysql_home_filetrans_mysqld_home( domain , object_class , name )

##### Summary

Create objects in user home directories with the mysqld home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

mysql_manage_db_dirs( domain )

##### Summary

Create, read, write, and delete mysqld database directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_manage_db_files( domain )

##### Summary

Create, read, write, and delete mysqld database files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_manage_mysqld_home_files( domain )

##### Summary

Create, read, write, and delete mysqld home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_read_config( domain )

##### Summary

Read mysqld configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_read_pid_files( domain )

##### Summary

Read mysqld pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_relabel_mysqld_home_files( domain )

##### Summary

Relabel mysqld home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_run_mysqld( domain , role )

##### Summary

Execute mysqld in the mysqld domain, and allow the specified role the mysqld domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

mysql_rw_db_dirs( domain )

##### Summary

Read and write mysqld database directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_rw_db_files( domain )

##### Summary

Read and write mysqld database files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_search_db( domain )

##### Summary

Search mysqld db directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_search_pid_files( domain )

##### Summary

Search mysqld pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_signal( domain )

##### Summary

Send generic signals to mysqld.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_stream_connect( domain )

##### Summary

Connect to mysqld with a unix

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_tcp_connect( domain )

##### Summary

Connect to mysqld with a tcp socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mysql_write_log( domain )

##### Summary

Write mysqld log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return